%global pypi_name roman-numerals
%global srcname roman_numerals_py

Name:		python-%{pypi_name}
Summary:	Manipulate well-formed Roman numerals
Version:	3.0.0
Release:	%mkrel 2
License:	BSD
Group:		Development/Python
Url:		https://pypi.org/project/roman-numerals-py/
Source:		%{pypi_source}
BuildArch:	noarch

%description
A library for manipulating well-formed Roman numerals.

Integers between 1 and 3,999 (inclusive) are supported. Numbers beyond this
range will return an OutOfRangeError.

The classical system of roman numerals requires that the same character may not
appear more than thrice consecutively, meaning that ‘MMMCMXCIX’ (3,999) is the
largest well-formed Roman numeral. The smallest is ‘I’ (1), as there is no
symbol for zero in Roman numerals.

Both upper- and lower-case formatting of roman numerals are supported, and
likewise for parsing strings, although the entire string must be of the same
case. Numerals that do not adhere to the classical form are rejected with an
InvalidRomanNumeralError.

%package -n python3-%{pypi_name}
Summary:	Manipulate well-formed Roman numerals
%{?python_provide: %python_provide python3-%{pypi_name}}
%{?python_provide: %python_provide python3-%{pypi_name}-py}

%description -n python3-%{pypi_name}
A library for manipulating well-formed Roman numerals.

Integers between 1 and 3,999 (inclusive) are supported. Numbers beyond this
range will return an OutOfRangeError.

The classical system of roman numerals requires that the same character may not
appear more than thrice consecutively, meaning that ‘MMMCMXCIX’ (3,999) is the
largest well-formed Roman numeral. The smallest is ‘I’ (1), as there is no
symbol for zero in Roman numerals.

Both upper- and lower-case formatting of roman numerals are supported, and
likewise for parsing strings, although the entire string must be of the same
case. Numerals that do not adhere to the classical form are rejected with an
InvalidRomanNumeralError.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files roman_numerals

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.0.0-2.mga10
+ Revision: 2236248
- Mageia 10 Mass Rebuild

* Fri Feb 21 2025 wally <wally> 3.0.0-1.mga10
+ Revision: 2150612
- imported package python-roman-numerals

